import sys
from PIL import Image, ImageTk

BASE_DIR = sys.path[0]

WINDOW_WIDTH = 1200     # 窗口宽度
WINDOW_HEIGHT = 900     # 窗口长度


TREE_CANVAS_WIDTH = int(WINDOW_WIDTH * 0.9)     # 绘制树画布宽度
TREE_CANVAS_HEIGHT = int(WINDOW_HEIGHT * 0.65)  # 绘制树画布长度

LEFT_PADDING = (WINDOW_WIDTH - TREE_CANVAS_WIDTH) / 2

CARD_CANVAS_WIDTH = int(WINDOW_WIDTH * 0.7)        # 卡片画布宽度
CARD_CANVAS_HEIGHT = int(WINDOW_HEIGHT * 0.22)       # 卡片画布长度

# 最上方按钮大小（出题，换牌）
TOP_BUTTON_WIDTH = 120
TOP_BUTTON_HEIGHT = 40

# 中间按钮大小（计算，画树，自动求解，所有答案）
MIDDLE_BUTTON_WIDTH = 120
MIDDLE_BUTTON_HEIGHT = 40

# 输入框大小
ENTRY_WIDTH = 765
ENTRY_HEIGHT = 40

BACKGROUND_IMG = BASE_DIR + "/images/background.png"    # 背景图片
CHUTI_IMG = BASE_DIR + "/images/chuti.png"    # 背景图片




